---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: vault-k8s-service-registration
  namespace: vault
rules:
  - apiGroups: [""]
    resources: ["pods"]
    verbs: ["get", "update", "patch"]
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: vault-k8s-service-registration
  namespace: vault
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: vault-k8s-service-registration
subjects:
  - kind: ServiceAccount
    name: vault
    namespace: vault
